Index: /release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-components.xml	(revision 19455)
+++ /release-kits/lirk2/ant-scripts/create-components.xml	(revision 19456)
@@ -34,29 +34,7 @@
 				<include name="**/*"/>
 
-				<!-- exclude sourcecode + imagemagick + build files -->
-				<exclude name="common-src"/>
-				<exclude name="common-src/**/*"/>
-				<exclude name="runtime-src"/>
-				<exclude name="runtime-src/**/*"/>
-				<exclude name="build-src"/>
-				<exclude name="build-src/**/*"/>
+				<!-- exclude imagemagick -->
 				<exclude name="bin/linux/imagemagick"/>
 				<exclude name="bin/linux/imagemagick/**/*"/>
-
-				<exclude name="acconfig.h"/>
-				<exclude name="aclocal.m4"/>
-				<exclude name="config.guess"/>
-				<exclude name="config.sub"/>
-				<exclude name="configtest.pl"/>
-				<exclude name="configure"/>
-				<exclude name="configure.in"/>
-				<exclude name="install-sh"/>
-				<exclude name="Makefile.in"/>
-				<exclude name="micotest.cpp"/>
-				<exclude name="config.h.in"/>
-				<exclude name="Install.txt"/>
-
-				<exclude name="README*.txt"/>
-				<include name="READMEen.txt"/>
 
 			</fileset>
@@ -69,38 +47,4 @@
 	</target>
 
-	<!-- sourcecode -->
-	<target name="prepare-sourcecode-component">
-
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<exec dir="${basedir}" executable="cp">
-			<arg line="-r distributions/web/common-src distributions/web/build-src distributions/web/runtime-src components/tmp/sourcecode"/>
-		</exec>
-		<exec dir="distributions/web" executable="cp">
-			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in Install.txt ${basedir}/components/tmp/sourcecode"/>
-		</exec>
-				
-		<mkdir dir="products"/>
-		<!-- create a script to create the tar -->
-		<echo output="create-sourcecode-component.sh">
-		tar -czf ../../../products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz *
-		</echo>
-		<chmod perm="+x" file="create-sourcecode-component.sh"/>
-
-		<!-- run it -->
-		<exec dir="components/tmp/sourcecode" executable="/bin/bash">
-			<arg line="${basedir}/create-sourcecode-component.sh"/>
-		</exec>
-
-		<!-- remove it -->
-		<delete file="create-sourcecode-component.sh"/>
-
-	</target>
-	
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
 	<!-- imagemagick -->
 	<target name="prepare-imagemagick-component">
@@ -151,5 +95,5 @@
 		</move>
 
-		<!-- imagemagick (all linux specific) -->
+		<!-- imagemagick (completely linux specific) -->
 		<mkdir dir="components/tmp/cdrom/imagemagick/linux"/>
 		<copy todir="components/tmp/cdrom/imagemagick/linux" overwrite="true">
@@ -157,27 +101,5 @@
 		</copy>
 
-
-		<!-- sourcecode -->
-		<mkdir dir="components/tmp/cdrom/sourcecode/all"/>
-		<mkdir dir="components/tmp/cdrom/sourcecode/linux"/>
-		<copy todir="components/tmp/cdrom/sourcecode/all" overwrite="true">
-			<fileset dir="components/tmp/sourcecode"/>
-		</copy>
-		<move todir="components/tmp/cdrom/sourcecode/linux" overwrite="true">
-			<fileset dir="components/tmp/cdrom/sourcecode/all">
-				<include name="acconfig.h"/>
-				<include name="aclocal.m4"/>
-				<include name="config.guess"/>
-				<include name="config.sub"/>
-				<include name="configtest.pl"/>
-				<include name="configure"/>
-				<include name="configure.in"/>
-				<include name="install-sh"/>
-				<include name="Makefile.in"/>
-				<include name="micotest.cpp"/>
-				<include name="config.h.in"/>
-			</fileset>
-		</move>
-
+		<!-- archive the cd components -->
 		<tar destfile="products/cdrom-components-${version}-linux.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
 		
Index: /release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-components.xml	(revision 19455)
+++ /release-kits/mark2/ant-scripts/create-components.xml	(revision 19456)
@@ -8,4 +8,5 @@
 		<antcall target="prepare-components" />
 		<antcall target="compress-components" />
+		<antcall target="produce-cd-components"/>
 	</target>
 
@@ -44,31 +45,9 @@
 				<include name="**/*"/>
 
-				<!-- exclude sourcecode + imagemagick + build files -->
-				<exclude name="common-src"/>
-				<exclude name="common-src/**/*"/>
-				<exclude name="runtime-src"/>
-				<exclude name="runtime-src/**/*"/>
-				<exclude name="build-src"/>
-				<exclude name="build-src/**/*"/>
+				<!-- exclude imagemagick + ghostscript -->
 				<exclude name="bin/darwin/imagemagick"/>
 				<exclude name="bin/darwin/imagemagick/**/*"/>
 				<exclude name="bin/darwin/ghostscript"/>
 				<exclude name="bin/darwin/ghostscript/**/*"/>
-
-				<exclude name="acconfig.h"/>
-				<exclude name="aclocal.m4"/>
-				<exclude name="config.sub"/>
-				<exclude name="configtest.pl"/>
-				<exclude name="configure"/>
-				<exclude name="configure.in"/>
-				<exclude name="install-sh"/>
-				<exclude name="Makefile.in"/>
-				<exclude name="micotest.cpp"/>
-				<exclude name="config.h.in"/>
-				<exclude name="Install.txt"/>
-
-				<exclude name="README*.txt"/>
-				<include name="READMEen.txt"/>
-
 
 			</fileset>
@@ -79,39 +58,4 @@
 	<target name="compress-core-component">
 		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
-	</target>
-
-	<!-- sourcecode -->
-	<target name="prepare-sourcecode-component">
-
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<exec dir="${basedir}" executable="cp">
-			<arg line="-r distributions/web/common-src distributions/web/build-src distributions/web/runtime-src components/tmp/sourcecode"/>
-		</exec>
-		<exec dir="distributions/web" executable="cp">
-			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in Install.txt ${basedir}/components/tmp/sourcecode"/>
-		</exec>
-				
-		<mkdir dir="products"/>
-
-		<!-- create a script to create the tar -->
-		<echo output="create-sourcecode-component.sh">
-		tar -czf ../../../products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz *
-		</echo>
-		<chmod perm="+x" file="create-sourcecode-component.sh"/>
-
-		<!-- run it -->
-		<exec dir="components/tmp/sourcecode" executable="/bin/bash">
-			<arg line="${basedir}/create-sourcecode-component.sh"/>
-		</exec>
-
-		<!-- remove it -->
-		<delete file="create-sourcecode-component.sh"/>
-
-	</target>
-
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
 	</target>
 
@@ -154,3 +98,50 @@
 	</target>
 
+	<!--
+		cd components
+		produce components for cdrom distributions, to be picked up and used by cdrk2 release kit
+		split components into mac only files (mac) and general files (all)
+	-->
+	<target name="produce-cd-components">
+		<delete dir="components/tmp/cdrom"/>
+		<mkdir dir="components/tmp/cdrom"/>
+
+		<!-- core -->
+		<mkdir dir="components/tmp/cdrom/core/all"/>
+		<mkdir dir="components/tmp/cdrom/core/mac"/>
+		<copy todir="components/tmp/cdrom/core/all" overwrite="true">
+			<fileset dir="components/tmp/core"/>
+		</copy>
+		<move todir="components/tmp/cdrom/core/mac" overwrite="true">
+			<fileset dir="components/tmp/cdrom/core/all">
+				<include name="bin/darwin"/>
+				<include name="bin/darwin/**/*"/>
+				<include name="bin/windows"/>
+				<include name="bin/windows/**/*"/>
+				<include name="apache-httpd/darwin"/>
+				<include name="apache-httpd/darwin/**/*"/>
+				<include name="*.sh"/>
+				<include name="*.csh"/>
+				<include name="*.bash"/>
+			</fileset>
+		</move>
+
+		<!-- imagemagick (completely mac specific) -->
+		<mkdir dir="components/tmp/cdrom/imagemagick/mac"/>
+		<copy todir="components/tmp/cdrom/imagemagick/mac" overwrite="true">
+			<fileset dir="components/tmp/imagemagick"/>
+		</copy>
+
+		<!-- ghostscript (completely mac specific) -->
+		<mkdir dir="components/tmp/cdrom/ghostscript/mac"/>
+		<copy todir="components/tmp/cdrom/ghostscript/mac" overwrite="true">
+			<fileset dir="components/tmp/ghostscript"/>
+		</copy>
+
+		<!-- archive the cd components -->
+		<tar destfile="products/cdrom-components-${version}-mac.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
+		
+	</target>
+
+
 </project>
Index: /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 19455)
+++ /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 19456)
@@ -22,7 +22,10 @@
 	<target name="drop-in-docs">
 		<echo level="info">Dropping gsdl docs into distribution</echo>
+		<!--
 		<copy todir="${gsdl.basedir}" overwrite="true">
 			<fileset dir="${rk.home}/greenstone2/docs"/>
 		</copy>
+		-->
+		<copy file="${rk.home}/greenstone2/docs/READMEen.txt" todir="${gsdl.basedir}" overwrite="true">
 	</target>
 
@@ -143,4 +146,6 @@
 
 	<target name="dist-clean-sourcecode">
+
+		<!-- delete the sourcecode -->
 		<delete>
 			<fileset dir="distributions/web" includes="Makefile,config.cache,config.h,config.log,stamp-h,config.status"/>
@@ -149,4 +154,8 @@
 		<delete dir="distributions/web/build-src"/>
 		<delete dir="distributions/web/runtime-src"/>
+		<delete>
+			<fileset dir="distributions/web" includes="acconfig.h,aclocal.m4,config.guess,config.sub,configtest.pl,configure,configure.in,install-sh,Makefile.in,micotest.cpp,config.h.in"/>
+		</delete>
+
         <!--
     	<svn>
Index: /release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-components.xml	(revision 19455)
+++ /release-kits/wirk2/ant-scripts/create-components.xml	(revision 19456)
@@ -41,26 +41,5 @@
 					<exclude name="bin/windows/ghostscript"/>
 					<exclude name="bin/windows/ghostscript/**/*"/>
-
-					<!-- exclude sourcecode -->
-					<exclude name="common-src"/>
-					<exclude name="common-src/**/*"/>
-					<exclude name="runtime-src"/>
-					<exclude name="runtime-src/**/*"/>
-					<exclude name="build-src"/>
-					<exclude name="build-src/**/*"/>
 					
-					<!-- exclude buildfiles -->
-					<exclude name="win32.mak"/>
-					<exclude name="win32cfg.h"/>
-					<exclude name="makegs2.bat"/>
-					<exclude name="Install.txt"/>
-					
-					<!-- exclude all readmes but the english one -->
-					<exclude name="READMEfr.txt"/>
-					<exclude name="READMEes.txt"/>
-					<exclude name="READMEru.txt"/>
-					<exclude name="READMEar.txt"/>
-					
-										
 				</fileset>
 		</copy>
@@ -69,11 +48,8 @@
 	</target>
 	
-	
 	<target name="compress-core-component">
 		<!-- <sevenzip task="encode" input="${basedir}/components/core.comp" output="${basedir}/components/core.lzma" dictionnary="26"/> -->
 		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 core.lzma core.comp"/></exec>
 	</target>
-	
-	
 	
 	<target name="prepare-imagemagick-component">
@@ -94,6 +70,4 @@
 	</target>
 	
-	
-	
 	<target name="prepare-ghostscript-component">
 		<delete dir="components/tmp/ghostscript" quiet="true"/>
@@ -111,25 +85,4 @@
 		<!-- <sevenzip task="encode" input="${basedir}/components/ghostscript.comp" output="${basedir}/components/ghostscript.lzma" dictionnary="26"/> -->
 		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 ghostscript.lzma ghostscript.comp"/></exec>
-	</target>
-	
-	
-	
-	<target name="prepare-sourcecode-component">
-		<delete dir="components/tmp/sourcecode" quiet="true"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distributions/web">
-					<include name="common-src/**/*"/>
-					<include name="runtime-src/**/*"/>
-					<include name="build-src/**/*"/>
-					<include name="win32.mak"/>
-					<include name="win32cfg.h"/>
-					<include name="makegs2.bat"/>
-					<include name="Install.txt"/>
-				</fileset>
-		</copy>
-				
-		<mkdir dir="products"/>
-		<zip destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.zip" basedir="components/tmp/sourcecode" compress="true"/>
 	</target>
 
@@ -165,17 +118,7 @@
 		</copy>
 		
-		<!-- sourcecode -->
-		<mkdir dir="components/tmp/cdrom/sourcecode/windows"/>
-		<copy todir="components/tmp/cdrom/sourcecode/windows" overwrite="true">
-			<fileset dir="components/tmp/sourcecode">
-				<include name="win32.mak"/>
-				<include name="win32cfg.h"/>
-				<include name="makegs2.bat"/>
-			</fileset>
-		</copy>
+		<tar destfile="products/cdrom-components-${version}-windows.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
 
-                <tar destfile="products/cdrom-components-${version}-windows.tar.gz" basedir="components/tmp/cdrom" compression="gzip"/>
-
-        </target>
+	</target>
 		
 </project>