Index: release-kits/sork2/ant-scripts/build.xml
===================================================================
--- release-kits/sork2/ant-scripts/build.xml	(revision 19386)
+++ release-kits/sork2/ant-scripts/build.xml	(revision 19459)
@@ -25,9 +25,9 @@
 	<!-- THE MAIN TARGET -->
 	<target name="sork2" depends="init">
-		<antcall target="export-gsdl-gli"><param name="dest" value="distributions/Greenstone-${version}-source"/></antcall>
-		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source"/></antcall>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/Greenstone-${version}-source/gli"/></antcall>
+		<antcall target="export-gsdl-gli"><param name="dest" value="distributions/Greenstone-${version}-source-distribution"/></antcall>
+		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution"/></antcall>
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution/gli"/></antcall>
 		<antcall target="insert-winbin"/>
-		<antcall target="insert-windows-perl"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source"/></antcall>
+		<antcall target="insert-windows-perl"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution"/></antcall>
 		<antcall target="tweak-files" />
 		<antcall target="create-archives"/>
@@ -48,23 +48,22 @@
 
 	<target name="tweak-files">
-		<delete file="distributions/Greenstone-${version}-source/bin/linux/mgquery_old" />
+		<delete file="distributions/Greenstone-${version}-source-distribution/bin/linux/mgquery_old" />
 	</target>
 
 	<target name="insert-winbin">
-		<delete dir="distributions/Greenstone-${version}-source/bin/windows"/>
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/Greenstone-${version}-source/bin/windows"/>
+			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
 		</svn>
-		<get src="http://greenstone.org/release-snapshots/server.exe" dest="distributions/Greenstone-${version}-source/bin/windows/server.exe"/>
+		<get src="http://greenstone.org/release-snapshots/server.exe" dest="distributions/Greenstone-${version}-source-distribution/bin/windows/server.exe"/>
 		
-		<delete dir="distributions/Greenstone-${version}-source/bin/windows/imagemagick"/>
-		<delete dir="distributions/Greenstone-${version}-source/bin/windows/ghostscript"/>
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/imagemagick"/>
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/ghostscript"/>
 	</target>
 
 	<target name="create-archives">
 		<mkdir dir="products"/>
-		<zip destfile="products/Greenstone-${version}-source.zip" basedir="distributions" includes="Greenstone-${version}-source/**/*"/>
 		<exec dir="distributions" executable="tar">
-			<arg line="-czf ../products/Greenstone-${version}-source.tar.gz Greenstone-${version}-source"/>
+			<arg line="-czf ../products/Greenstone-${version}-source-distribution.tar.gz Greenstone-${version}-source-distribution"/>
 		</exec>
 	</target>
@@ -72,8 +71,8 @@
 	<target name="create-sourcecode">
 		<!-- create a directory for the sourcecode -->
-		<mkdir dir="distributions/Greenstone-${version}-sourcecode"/>
+		<mkdir dir="distributions/Greenstone-${version}-source-component"/>
 
 		<!-- copy the files in -->
-		<exec dir="distributions/Greenstone-${version}-source" executable="cp">
+		<exec dir="distributions/Greenstone-${version}-source-distribution" executable="cp">
 			<arg value="-r"/>
 
@@ -81,5 +80,4 @@
 			<arg value="build-src"/>
 			<arg value="common-src"/>
-			<arg value="runtime-src"/>
 			<arg value="runtime-src"/>
 
@@ -103,27 +101,27 @@
 
 			<!-- destination -->
-			<arg value="../Greenstone-${version}-sourcecode"/>
+			<arg value="../Greenstone-${version}-source-component"/>
 
 		</exec>
 
 		<!-- unzip some windows packages -->
-		<unzip src="distributions/Greenstone-${version}-sourcecode/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/Greenstone-${version}-sourcecode/common-src/indexers/packages/windows/iconv"/>
-		<delete file="distributions/Greenstone-${version}-sourcecode/common-src/indexers/packages/windows/iconv/iconv.zip"/>
+		<unzip src="distributions/Greenstone-${version}-source-component/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/Greenstone-${version}-source-component/common-src/indexers/packages/windows/iconv"/>
+		<delete file="distributions/Greenstone-${version}-source-component/common-src/indexers/packages/windows/iconv/iconv.zip"/>
 		
-		<unzip src="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/crypt/crypt.zip" dest="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/crypt"/>
-		<delete file="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/crypt/crypt.zip"/>
+		<unzip src="distributions/Greenstone-${version}-source-component/common-src/packages/windows/crypt/crypt.zip" dest="distributions/Greenstone-${version}-source-component/common-src/packages/windows/crypt"/>
+		<delete file="distributions/Greenstone-${version}-source-component/common-src/packages/windows/crypt/crypt.zip"/>
 		
-		<unzip src="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/expat/expat.zip" dest="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/expat"/>
-		<delete file="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/expat/expat.zip"/>
+		<unzip src="distributions/Greenstone-${version}-source-component/common-src/packages/windows/expat/expat.zip" dest="distributions/Greenstone-${version}-source-component/common-src/packages/windows/expat"/>
+		<delete file="distributions/Greenstone-${version}-source-component/common-src/packages/windows/expat/expat.zip"/>
 		
-		<unzip src="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/stlport/stlport.zip" dest="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/stlport"/>
-		<delete file="distributions/Greenstone-${version}-sourcecode/common-src/packages/windows/stlport/stlport.zip"/>
+		<unzip src="distributions/Greenstone-${version}-source-component/common-src/packages/windows/stlport/stlport.zip" dest="distributions/Greenstone-${version}-source-component/common-src/packages/windows/stlport"/>
+		<delete file="distributions/Greenstone-${version}-source-component/common-src/packages/windows/stlport/stlport.zip"/>
 
-		<untar src="distributions/Greenstone-${version}-sourcecode/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz" dest="distributions/Greenstone-${version}-sourcecode/common-src/packages/sqlite" compression="gzip"/>
-		<delete file="distributions/Greenstone-${version}-sourcecode/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+		<untar src="distributions/Greenstone-${version}-source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz" dest="distributions/Greenstone-${version}-source-component/common-src/packages/sqlite" compression="gzip"/>
+		<delete file="distributions/Greenstone-${version}-source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
 
 		<!-- tar it up -->
 		<exec dir="distributions" executable="tar">
-			<arg line="-czf ../products/Greenstone-${version}-sourcecode.tar.gz Greenstone-${version}-sourcecode"/>
+			<arg line="-czf ../products/Greenstone-${version}-source-component.tar.gz Greenstone-${version}-source-component"/>
 		</exec>
 	</target>