Index: /release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/compile.xml	(revision 19474)
+++ /release-kits/wirk3/ant-scripts/compile.xml	(revision 19475)
@@ -47,6 +47,4 @@
 			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="compiled/gsdl-manuals/shared" revision="${branch.revision}"/>
 		</svn>
-		<javac srcdir="compiled/gsdl-manuals/shared" destdir="compiled/gsdl-manuals/shared" debug="on"><include name="*.java"/></javac>
-		<unzip src="compiled/gsdl-manuals/shared/fop.zip" dest="compiled/gsdl-manuals/shared"/>
 
 		<echo>Define Classpath</echo>
@@ -59,4 +57,7 @@
 			<pathelement path="compiled/gli/classes"/>
 		</path>
+
+		<javac classpathref="documentation.compile.classpath" srcdir="compiled/gsdl-manuals/shared" destdir="compiled/gsdl-manuals/shared" debug="on"><include name="*.java"/></javac>
+		<unzip src="compiled/gsdl-manuals/shared/fop.zip" dest="compiled/gsdl-manuals/shared"/>
 					
 		<echo>Apply XSLT</echo>
Index: /release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 19474)
+++ /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 19475)
@@ -12,4 +12,6 @@
 		<antcall target="insert-uninstaller-jar"/> <!-- from rk3-targets -->
 
+		<ant target="configure-java-version" antfile="${wirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false"/>
+			
 		<ant target="create-distribution-1" antfile="${wirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">
 			<property name="app.version" value="${version}"/>
Index: /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 19474)
+++ /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 19475)
@@ -10,4 +10,9 @@
 
 <project name="opeations-on-gs3home" default="usage">
+
+	<path id="runtime.classpath">
+		<fileset dir="${web.lib}" includes="**/*.jar"/>
+	</path>
+
   
 	<!-- include standard build file -->
@@ -88,12 +93,14 @@
 
 		<!-- put gs2build source code in a tidy place -->
-		<move todir="${gs2build.home}/source/src" failonerror="false"><fileset dir="${gs2build.home}/src" defaultexcludes="no"/></move>
-		<move todir="${gs2build.home}/source/lib" failonerror="false"><fileset dir="${gs2build.home}/lib" defaultexcludes="no"/></move>
-		<move todir="${gs2build.home}/source/packages" failonerror="false"><fileset dir="${gs2build.home}/packages" defaultexcludes="no"/></move>
-		<move todir="${gs2build.home}/source/indexers" failonerror="false"><fileset dir="${gs2build.home}/indexers" defaultexcludes="no"/></move>
-		<move file="${gs2build.home}/win32.mak" tofile="${gs2build.home}/source/win32.mak"/>
-		<!--<move file="${gs2build.home}/setup.bat" tofile="${gs2build.home}/source/setup.bat"/>-->
-		<!--<move file="${gs2build.home}/win32cfg.h" tofile="${gs2build.home}/source/win32cfg.h"/>-->
-
+		<if><bool><available file="${gs2build.home}/source/src"/></bool>
+			<move todir="${gs2build.home}/source/src" failonerror="false"><fileset dir="${gs2build.home}/src" defaultexcludes="no"/></move>
+			<move todir="${gs2build.home}/source/lib" failonerror="false"><fileset dir="${gs2build.home}/lib" defaultexcludes="no"/></move>
+			<move todir="${gs2build.home}/source/packages" failonerror="false"><fileset dir="${gs2build.home}/packages" defaultexcludes="no"/></move>
+			<move todir="${gs2build.home}/source/indexers" failonerror="false"><fileset dir="${gs2build.home}/indexers" defaultexcludes="no"/></move>
+			<move file="${gs2build.home}/win32.mak" tofile="${gs2build.home}/source/win32.mak"/>
+			<!--<move file="${gs2build.home}/setup.bat" tofile="${gs2build.home}/source/setup.bat"/>-->
+			<!--<move file="${gs2build.home}/win32cfg.h" tofile="${gs2build.home}/source/win32cfg.h"/>-->
+		</if>
+		
 		<!-- clean up -->
 		<delete includeemptydirs="true">
@@ -139,9 +146,9 @@
 
 	<target name="run-xslt-source" depends="init">
-		<xslt in="${basedir}/build.xml" out="${basedir}/dist-build.xml" style="${basedir}/dist-resources/convert-build-xml-source.xsl"/>
+		<xslt classpathref="runtime.classpath" in="${basedir}/build.xml" out="${basedir}/dist-build.xml" style="${basedir}/dist-resources/convert-build-xml-source.xsl"/>
 	</target>
   
 	<target name="run-xslt-binary" depends="init">
-		<xslt in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${wirk3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
+		<xslt classpathref="runtime.classpath" in="${basedir}/build.xml" out="${basedir}/modified-build.xml" style="${wirk3.home}/greenstone3/xsl/convert-build-xml.xsl"/>
 	</target>
 