Index: /release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- /release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 19481)
+++ /release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 19482)
@@ -1,23 +1,24 @@
 ### Language page ###
-page.language-selector.displayText = Langue
-language-selector-explanation.displayText = Veuillez sÃ©lectionner la langue de lâinstallation.
+page.language-selector.displayText=Langue
+language-selector-explanation.displayText=Veuillez sÃ©lectionner la langue de lâinstallation.
+# (Note: This installer has not been fully translated into all these languages yet)
 
 
 ### Intro Page ###
-page.intro.displayText = Greenstone @version@ installer
-welcome-message.displayText = Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.\n\nIl est recommandÃ© de dÃ©sinstaller les versions prÃ©cÃ©dentes de Greenstone@version.major@ avant de poursuivre avec cette installation.
+page.intro.displayText=Greenstone @version@ installer
+welcome-message.displayText=Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.\n\nIl est recommandÃ© de dÃ©sinstaller les versions prÃ©cÃ©dentes de Greenstone@version.major@ avant de poursuivre avec cette installation.
 
 ## License page ###
-page.license.displayText = Licence
+page.license.displayText=Licence
 
 
 ### Destination page ###
-page.destination.displayText = RÃ©pertoire d'installation 
-installDir.displayText = Veuillez sÃ©lectionner un rÃ©pertoire d'installation
+page.destination.displayText=RÃ©pertoire d'installation
+installDir.displayText=Veuillez sÃ©lectionner un rÃ©pertoire d'installation
 
 
 ### InstallShield install detected page ###
-page.dontBudge.displayText = Ancienne version dÃ©tectÃ©e
-is-install-detected.displayText = Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans le rÃ©pertoire sÃ©lectionnÃ©.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis redÃ©marrez cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
+page.dontBudge.displayText=Ancienne version dÃ©tectÃ©e
+is-install-detected.displayText=Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans le rÃ©pertoire sÃ©lectionnÃ©.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis redÃ©marrez cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
 
 
@@ -25,164 +26,166 @@
 # (Note: in the html here, we must use '<br>' for breaklines.
 # '<br/>' and other variations are not recognised.)
-page.selector.displayText = Composants
-choose-components.displayText = Veuillez choisir les composants que vous souhaitez installer
+page.selector.displayText=Composants
+choose-components.displayText=Veuillez choisir les composants que vous souhaitez installer
 
-Looking_For_Previous_Installation.displayText = Recherche l'existence dâune installation prÃ©cÃ©dente 
-Looking_For_Previous_Installation.explanatoryText = S'il s'agit d'une rÃ©installation, charge quelques propriÃ©tÃ©s de l'installation existante afin d'aider au processus de rÃ©installation.
+Looking_For_Previous_Installation.displayText=Recherche l'existence dâune installation prÃ©cÃ©dente
+Looking_For_Previous_Installation.explanatoryText=S'il s'agit d'une rÃ©installation, charge quelques propriÃ©tÃ©s de l'installation existante afin d'aider au processus de rÃ©installation.
 
-Installing_Core_System.displayText = Composant de base
-Installing_Core_System.explanatoryText = \
-<html> \
-Ceci est le systÃšme central de Greenstone@version.major@. Il s'agit dâun composant obligatoire. \
-</html>
+Installing_Core_System.displayText=Composant de base
+Installing_Core_System.explanatoryText=<html>Ceci est le systÃšme central de Greenstone@version.major@. Il s'agit dâun composant obligatoire. </html>
 
-Installing_Source_Code_Core.displayText = Code Source du Noyau
-Installing_Source_Code_Core.explanatoryText = \
-<html> \
-Ceci est le code source du noyau de Greenstone@version.major@. Ce composant inclue tous les fichiers accompagnant le code source gÃ©nÃ©ral. \
-</html>
+Installing_Source_Code_Core.displayText=Code Source du Noyau
+Installing_Source_Code_Core.explanatoryText=<html>Ceci est le code source du noyau de Greenstone@version.major@. Ce composant inclue tous les fichiers accompagnant le code source gÃ©nÃ©ral.</html>
 
-Installing_Source_Code.displayText = Code Source GÃ©nÃ©ral
-Installing_Source_Code.explanatoryText = \
-<html> \
-Installez le code source gÃ©nÃ©ral si vous souhaitez compiler Greenstone@version.major@ par vous mÃªme, si vous souhaitez y apporter des modifications, <br> \
-ou si vous souhaitez simplement savoir comment tout fonctionne. \
-</html>
+Installing_Source_Code.displayText=Code Source GÃ©nÃ©ral
+Installing_Source_Code.explanatoryText=<html>Installez le code source gÃ©nÃ©ral si vous souhaitez compiler Greenstone@version.major@ par vous mÃªme, si vous souhaitez y apporter des modifications, <br>ou si vous souhaitez simplement savoir comment tout fonctionne.</html>
 
-Installing_ImageMagick.displayText = ImageMagick avec JPEG2000 (@bundled.version.imagemagick@)
-Installing_ImageMagick.explanatoryText = \
-<html> \
-Greenstone utilise ImageMagick pour gÃ©rer les fichiers image.<br> \
-La version d'ImageMagick inclue dans cet installeur ajoute le support du format d'image JPEG2000.<br> \
-Si vous avez ImageMagick dÃ©jÃ  installÃ© sur votre ordinateur,<br> \
-ou si vous ne souhaitez pas inclure d'image dans vos collections Greenstone,<br> \
-alors vous pouvez choisir de ne pas installer ImageMagick. \
-</html>
+Installing_ImageMagick.displayText=ImageMagick avec JPEG2000 (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText=<html>Greenstone utilise ImageMagick pour gÃ©rer les fichiers image.<br>La version d'ImageMagick inclue dans cet installeur ajoute le support du format d'image JPEG2000.<br>Si vous avez ImageMagick dÃ©jÃ  installÃ© sur votre ordinateur,<br>ou si vous ne souhaitez pas inclure d'image dans vos collections Greenstone,<br>alors vous pouvez choisir de ne pas installer ImageMagick.</html>
 
-Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
-Installing_Ghostscript.explanatoryText = \
-<html> \
-Greenstone utilise GhostScript pour gÃ©rer les fichiers PDF et PostScript.<br> \
-Si vous avez Ghostscript dÃ©jÃ  installÃ© sur votre ordinateur, ou si vous ne souhaitez pas inclure ce type de fichiers dans vos collections Greenstone,<br> \
-alors vous pouvez choisir de ne pas installer Ghostscript. \
-</html>
+Installing_Ghostscript.displayText=GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText=<html>Greenstone utilise GhostScript pour gÃ©rer les fichiers PDF et PostScript.<br>Si vous avez Ghostscript dÃ©jÃ  installÃ© sur votre ordinateur, ou si vous ne souhaitez pas inclure ce type de fichiers dans vos collections Greenstone,<br>alors vous pouvez choisir de ne pas installer Ghostscript. </html>
 
-Installing_Start_Menu_Shortcuts.displayText = Raccourcis du Menu DÃ©marrer
-Installing_Start_Menu_Shortcuts.explanatoryText = CrÃ©e des raccourcis pour Greenstone@version.major@ dans votre menu DÃ©marrer
+Installing_Start_Menu_Shortcuts.displayText=Raccourcis du Menu DÃ©marrer
+Installing_Start_Menu_Shortcuts.explanatoryText=CrÃ©e des raccourcis pour Greenstone@version.major@ dans votre menu DÃ©marrer
 
-Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
-Installing_Tomcat.explanatoryText = \
-<html> \
-Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques<br> \
-sur Internet. Si vous avez une installation existante de Tomcat, vous pouvez l'utiliser<br> \
-(avec quelques changements de configuration). Dans ce cas vous pouvez choisir de ne pas installer ce composant. \
-</html>
+Installing_Tomcat.displayText=Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText=<html>Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques<br>sur Internet. Si vous avez une installation existante de Tomcat, vous pouvez l'utiliser<br>(avec quelques changements de configuration). Dans ce cas vous pouvez choisir de ne pas installer ce composant.</html>
 
-Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
-Installing_Ant.explanatoryText = \
-<html> \
-Greenstone3 nÃ©cessite Apache Ant pour dÃ©marrer ou arrÃªter le serveur web Tomcat, pour recompiler <br> \
-le code source, et pour rÃ©aliser quelques tÃ¢ches de maintenance. Si Ant est dÃ©jÃ  installÃ©, <br> \
-vous pouvez alors choisir de ne pas installer ce composant. \
-</html>
+Installing_Ant.displayText=Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText=<html>Greenstone3 nÃ©cessite Apache Ant pour dÃ©marrer ou arrÃªter le serveur web Tomcat, pour recompiler <br>le code source, et pour rÃ©aliser quelques tÃ¢ches de maintenance. Si Ant est dÃ©jÃ  installÃ©, <br>vous pouvez alors choisir de ne pas installer ce composant.</html>
 
 ### Admin password page
-page.admin-password.displayText = Veuillez crÃ©er un mot de passe Administrateur
-admin.password.displayText = Mot de passe Admin
-admin-password-expl.displayText = Afin d'accÃ©der Ã  certaines parties de l'interface de Greenstone vous avez besoin d'un mot de passe. Un utilisateur avec le nom 'admin' sera crÃ©Ã© avec le mot de passe que vous aurez choisi. Ce mot de passe doit contenir entre 3 et 20 caractÃšres.
+
+
+
+
+
+
+
+
+page.admin-password.displayText=Veuillez crÃ©er un mot de passe Administrateur
+admin-password-expl.displayText=Afin d'accÃ©der Ã  certaines parties de l'interface de Greenstone vous avez besoin d'un mot de passe. Un utilisateur avec le nom 'admin' sera crÃ©Ã© avec le mot de passe que vous aurez choisi. Ce mot de passe doit contenir entre 3 et 20 caractÃšres.
+admin.password.displayText=Mot de passe Admin
+
+
+
 
 ### Tomcat config page
-page.tomcat-config.displayText = Configuration d'Apache Tomcat
-tomcat-config-explanation1.displayText = Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques.
-tomcat-config-explanation2.displayText = Vous pouvez soit configurer Tomcat ici, soit Ã©diter le fichier build.properties qui se situe dans le rÃ©pertoire d'installation de Greenstone3 (${installDir}).
-tomcat.server.displayText = Nom du Serveur Tomcat
-tomcat-server.explanatoryText = Veuillez entrer le nom du serveur sur lequel la bibliothÃšque sera hÃ©bergÃ©e. Si vous ne le connaissez pas, alors laissez le nom par dÃ©faut (localhost).
-tomcat.port.explanatoryText = Veuillez choisir les ports que Tomcat devra utiliser. Il est gÃ©nÃ©ralement recommandÃ© de laisser les valeurs par dÃ©faut. Si vous avez dÃ©jÃ  des services qui utilisent ces ports, veuillez alors en choisir des libres.
-tomcat.port.displayText = Port d'Ã©coute
-tomcat.shutdown.port.displayText = Port de fermeture
+page.tomcat-config.displayText=Configuration d'Apache Tomcat
+tomcat-config-explanation1.displayText=Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques.
+tomcat-config-explanation2.displayText=Vous pouvez soit configurer Tomcat ici, soit Ã©diter le fichier build.properties qui se situe dans le rÃ©pertoire d'installation de Greenstone3 (${installDir}).
+tomcat.server.displayText=Nom du Serveur Tomcat
+tomcat-server.explanatoryText=Veuillez entrer le nom du serveur sur lequel la bibliothÃšque sera hÃ©bergÃ©e. Si vous ne le connaissez pas, alors laissez le nom par dÃ©faut (localhost).
+tomcat.port.explanatoryText=Veuillez choisir les ports que Tomcat devra utiliser. Il est gÃ©nÃ©ralement recommandÃ© de laisser les valeurs par dÃ©faut. Si vous avez dÃ©jÃ  des services qui utilisent ces ports, veuillez alors en choisir des libres.
+tomcat.port.displayText=Port d'Ã©coute
+tomcat.shutdown.port.displayText=Port de fermeture
 
 ### Progress page
-page.progress.displayText = Progression de l'installation
+page.progress.displayText=Progression de l'installation
 
 ### Uninstaller Strings
 
-uninstaller.greenstone.uninstaller = DÃ©sinstallation de Greenstone 
-uninstaller.cancel = Annuler
-uninstaller.uninstall = DÃ©sinstaller
-uninstaller.finish = Finir
-uninstaller.error = Erreur
-uninstaller.confirmation = Confirmation
-uninstaller.continue = Continuer
-uninstaller.complete = Complet
-uninstaller.skip = Ignorer
-uninstaller.skip.all = Toujours Ignorer
-uninstaller.retry = RÃ©essayer
-uninstaller.readonly = Lecture seule
+uninstaller.greenstone.uninstaller=DÃ©sinstallation de Greenstone
+uninstaller.cancel=Annuler
+uninstaller.uninstall=DÃ©sinstaller
+uninstaller.finish=Finir
+uninstaller.error=Erreur
+uninstaller.confirmation=Confirmation
+uninstaller.continue=Continuer
+uninstaller.complete=Complet
+uninstaller.skip=Ignorer
+uninstaller.skip.all=Toujours Ignorer
+uninstaller.retry=RÃ©essayer
+uninstaller.readonly=Lecture seule
 
-uninstaller.will.uninstall.from = Ceci va dÃ©sinstaller l'installation de Greenstone suivante
-uninstaller.uninstall.options = Options de DÃ©sinstallation:
-uninstaller.keep.collections = Garder les Collections
-uninstaller.are.you.sure = Etes vous certain(e) de vouloir Greenstone ?
-uninstaller.are.you.sure.collections = Vous avez choisi de dÃ©sinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
-uninstaller.failed.to.figure.cd = Le rÃ©pertoire courant n'a pas Ã©tÃ© dÃ©tectÃ©
-uninstaller.cancelled = DÃ©sinstallation annulÃ©e
-uninstaller.finished =  DÃ©sinstallation TerminÃ©e
-uninstaller.deleting = Supprime {file}
+uninstaller.will.uninstall.from=Ceci va dÃ©sinstaller l'installation de Greenstone suivante
+uninstaller.uninstall.options=Options de DÃ©sinstallation:
+uninstaller.keep.collections=Garder les Collections
+uninstaller.are.you.sure=Etes vous certain(e) de vouloir Greenstone ?
+uninstaller.are.you.sure.collections=Vous avez choisi de dÃ©sinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
+uninstaller.failed.to.figure.cd=Le rÃ©pertoire courant n'a pas Ã©tÃ© dÃ©tectÃ©
+uninstaller.cancelled=DÃ©sinstallation annulÃ©e
+uninstaller.finished=DÃ©sinstallation TerminÃ©e
+uninstaller.deleting=Supprime {file}
 
-uninstaller.info.skipping = INFO: Ignore {file}
-uninstaller.info.no.startmenu = INFO: Aucun chemin vers le menu dÃ©marrÃ© nâa Ã©tÃ© dÃ©tectÃ©. Par consÃ©quent, les entrÃ©es du menu dÃ©marrer ne seront pas dÃ©sinstallÃ©es
-uninstaller.warning.readonly = ATTENTION: Le fichier {file} est en lecture seule
-uninstaller.warning.couldnt.delete =  ATTENTION: le fichier {file} nâa pas Ã©tÃ© supprimÃ©
-uninstaller.warning.nonexistent =  ATTENTION: le fichier {file} n'existe pas
-uninstaller.error.nonexistent = ERREUR: le fichier {file} n'existe pas
-uninstaller.error.couldnt.find.install.props = ERREUR: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a Ã©tÃ© corrompue.\nLa dÃ©sinstallation ne peut pas se poursuivre.
-uninstaller.warning.couldnt.create.flagfile = ATTENTION: Impossible de crÃ©er le fichier marqueur. Vous devrez supprimer les derniers fichiers dans le rÃ©pertoire d'installation manuellement.
+uninstaller.info.skipping=INFO: Ignore {file}
+uninstaller.info.no.startmenu=INFO: Aucun chemin vers le menu dÃ©marrÃ© nâa Ã©tÃ© dÃ©tectÃ©. Par consÃ©quent, les entrÃ©es du menu dÃ©marrer ne seront pas dÃ©sinstallÃ©es
+uninstaller.warning.readonly=ATTENTION: Le fichier {file} est en lecture seule
+uninstaller.warning.couldnt.delete=ATTENTION: le fichier {file} nâa pas Ã©tÃ© supprimÃ©
+uninstaller.warning.nonexistent=ATTENTION: le fichier {file} n'existe pas
+uninstaller.error.nonexistent=ERREUR: le fichier {file} n'existe pas
+uninstaller.error.couldnt.find.install.props=ERREUR: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a Ã©tÃ© corrompue.\nLa dÃ©sinstallation ne peut pas se poursuivre.
+uninstaller.warning.couldnt.create.flagfile=ATTENTION: Impossible de crÃ©er le fichier marqueur. Vous devrez supprimer les derniers fichiers dans le rÃ©pertoire d'installation manuellement.
+
 
 ### Ant-Installer Core strings
 
-dirNotExistCreate = Ce rÃ©pertoire n'existe pas, souhaitez-vous le crÃ©er maintenant ?
-dirNotExist = Ce rÃ©pertoire n'existe pas
-fileNotExist = Ce fichier n'existe pas 
-dirNotCreated = Ce rÃ©pertoire ne peut pas Ãªtre crÃ©Ã© Ã  cet emplacement
-canNotCreateFile = Impossible de crÃ©er le fichier
-appRootInvalid = Ce rÃ©pertoire n'est pas la racine de cette application
-selectFile = SÃ©lectionner ce fichier
-selectFolder = SÃ©lectionner ce rÃ©pertoire
-browseDotDotDot = Parcourir...
-notValidSelection = Ceci n'est pas une sÃ©lection valide
-showDetails = Montrer plus de dÃ©tails
+dirNotExistCreate=Ce rÃ©pertoire n'existe pas, souhaitez-vous le crÃ©er maintenant ?
+dirNotExist=Ce rÃ©pertoire n'existe pas
+fileNotExist=Ce fichier n'existe pas
+dirNotCreated=Ce rÃ©pertoire ne peut pas Ãªtre crÃ©Ã© Ã  cet emplacement
+canNotCreateFile=Impossible de crÃ©er le fichier
+appRootInvalid=Ce rÃ©pertoire n'est pas la racine de cette application
+selectFile=SÃ©lectionner ce fichier
+selectFolder=SÃ©lectionner ce rÃ©pertoire
+browseDotDotDot=Parcourir...
+notValidSelection=Ceci n'est pas une sÃ©lection valide
+showDetails=Montrer plus de dÃ©tails
 
 #Default loading
-promptLoadDefaults = Configuration d'installation trouvÃ©e. Charger cette prÃ©sente configuration?
-promptMissingDefaultPassword = Un mot de passe n'a pas Ã©tÃ© trouvÃ©, il a peut Ãªtre Ã©tÃ© omis pour des raisons de sÃ©curitÃ©. Il sera remis Ã  sa valeur par dÃ©faut. 
+promptLoadDefaults=Configuration d'installation trouvÃ©e. Charger cette prÃ©sente configuration?
+promptMissingDefaultPassword=Un mot de passe n'a pas Ã©tÃ© trouvÃ©, il a peut Ãªtre Ã©tÃ© omis pour des raisons de sÃ©curitÃ©. Il sera remis Ã  sa valeur par dÃ©faut.
 
-click = Cliquer
-toContinue = pour continuer
-failed = Interrompue
-exit = Quitter
-complete = Complet
-finished = TerminÃ©
-extracting = DÃ©compression...
-installFinished = Installation TerminÃ©e
-install-cancelled = Installation AnnulÃ©e
-running = 
+click=Cliquer
+toContinue=pour continuer
+failed=Interrompue
+exit=Quitter
+complete=Complet
+finished=TerminÃ©
+extracting=DÃ©compression...
+installFinished=Installation TerminÃ©e
+install-cancelled=Installation AnnulÃ©e
+running=
 
-backButton = PrÃ©cÃ©dent
-cancelButton = Annuler
-nextButton = Suivant
-finishButtonText = Installer
+backButton=PrÃ©cÃ©dent
+cancelButton=Annuler
+nextButton=Suivant
+finishButtonText=Installer
 
-output = DÃ©tail de l'installation
-errors = Erreur(s)
-notCorrectFormat = Ce champ n'est pas dans un format valide 
-notCorrectPasswordFormat = Ce mot de passe n'est pas valide
-passwordsDoNotMatch = Les mots de passe ne correspondent pas
-installationFailed = Install Interrompue
-propertiesVersionMismatch = Quelques options sont manquantes depuis la version prÃ©cÃ©dente et doivent Ãªtre entrÃ©es manuellement, continuer ?
+output=DÃ©tail de l'installation
+errors=Erreur(s)
+notCorrectFormat=Ce champ n'est pas dans un format valide
+notCorrectPasswordFormat=Ce mot de passe n'est pas valide
+passwordsDoNotMatch=Les mots de passe ne correspondent pas
+installationFailed=Install Interrompue
+propertiesVersionMismatch=Quelques options sont manquantes depuis la version prÃ©cÃ©dente et doivent Ãªtre entrÃ©es manuellement, continuer ?
 
-Finished = TerminÃ©
-Failed = Installation Interrompue, veuillez voir les messages d'erreur.
-ant.failure = Le lancement de Ant a pose problÃšme â veuillez examiner le fichier log pour plus de dÃ©tails
+Finished=TerminÃ©
+Failed=Installation Interrompue, veuillez voir les messages d'erreur.
+ant.failure=Le lancement de Ant a pose problÃšme â veuillez examiner le fichier log pour plus de dÃ©tails
 
-license.next.text = Accepter
-license.cancel.text = Refuser
+license.next.text=Accepter
+license.cancel.text=Refuser
+
+#text install strings
+_required_=obligatoire  
+_default_=dÃ©faut  
+true=vrai  
+#The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
+affirmativeChars=V,O  
+#The value of 'negativeChars' comes from the first letters of "False" and "No"
+
+licenseAccept=Acceptez-vous la licence ? O ou N [dÃ©faut\: O]  
+clickViewLicense=Appuyer sur Â«EnterÂ» pour afficher la licence  
+clickViewText=Appuyer sur Â«EnterÂ» pour continuer  
+enterNumber=Entrez un nombre  
+fileDoesNotExist=Le Ficher n'existe pas  
+#The value of backChar is the first letter "Back"
+
+#The value of nextChar is the first letter "Next"
+nextChar=N  
+#In the next two properties, 'N' should be replaced the value of the 'nextChar' property
+license_next=Entrez 'N' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
+large_select_next=Entrez 'N' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
+availableOptions=afficher les options disponisbles  