Index: /release-kits/lirk2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-installer.xml	(revision 19509)
+++ /release-kits/lirk2/ant-scripts/create-installer.xml	(revision 19510)
@@ -6,5 +6,5 @@
 		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
-		<antcall target="compile-minimal-installer"/> <!-- from init -->
+		<antcall target="compile-cdrom-installer"/> <!-- from init -->
 	</target>
 
Index: /release-kits/lirk2/ant-scripts/wrap.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/wrap.xml	(revision 19509)
+++ /release-kits/lirk2/ant-scripts/wrap.xml	(revision 19510)
@@ -4,5 +4,7 @@
 	<target name="wrap">
 		<antcall target="setup-for-wrapping"/>
-		<antcall target="compile-wrapper"/>
+		<antcall target="create-objects"/>
+		<antcall target="compile-wrapper-web"/>
+		<antcall target="compile-wrapper-cdrom"/>
 	</target>
 
@@ -11,61 +13,97 @@
 
 		<!-- create and setup the build directory -->
-		<mkdir dir="${basedir}/wrapped-installer/build"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${lirk2.home}/linux/wrapper.cpp"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${lirk2.home}/core/search4j/libsearch4j.cpp"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${lirk2.home}/core/search4j/libsearch4j.h"/>
+		<mkdir dir="${basedir}/wrapped-installer"/>
+		<copy todir="${basedir}/wrapped-installer" file="${lirk2.home}/linux/wrapper.cpp"/>
+		<copy todir="${basedir}/wrapped-installer" file="${lirk2.home}/core/search4j/libsearch4j.cpp"/>
+		<copy todir="${basedir}/wrapped-installer" file="${lirk2.home}/core/search4j/libsearch4j.h"/>
 
 		<!-- copy bundled files -->
-		<copy todir="${basedir}/wrapped-installer/build" file="${lirk2.home}/linux/${linux-java.installer}"/>
-		<copy tofile="${basedir}/wrapped-installer/build/greenstone2.jar" file="${basedir}/installer/Greenstone-${version}-linux.jar"/>
+		<copy todir="${basedir}/wrapped-installer" file="${lirk2.home}/linux/${linux-java.installer}"/>
+		<copy tofile="${basedir}/wrapped-installer/greenstone2.jar" file="${basedir}/installer/Greenstone-${version}-linux.jar"/>
 
 		<!-- substitute in real values -->
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${linux-java.installer}"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@installer.name@" replacement="greenstone2"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.installer@" replacement="${linux-java.installer}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@installer.name@" replacement="greenstone2"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
 
 	</target>
 
-	<target name="compile-wrapper">
+	<target name="create-objects">
 
 		<echo level="info">create an object file (extension .o) for each file to bundle</echo>
-		<!-- jar -->
-		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
+		<!-- jar (web) -->
+		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer">
 			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone2_jar_start=greenstone2jar --readonly-text greenstone2.jar greenstone2.jar.o"/>
 		</exec>
+		<!-- jar (cdrom) -->
+		<exec executable="/usr/bin/objcopy" dir="installer">
+			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_cdrom_jar_start=greenstone2jar --readonly-text cdrom.jar ../wrapped-installer/cdrom.jar.o"/>
+		</exec>
 		<!-- java -->
-		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
+		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer">
 			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
 		</exec>
 
+		<echo level="info">compile libsearch4j</echo>
+		<exec executable="g++" dir="wrapped-installer">
+			<arg line="-Wall -static -static-libgcc -c -o libsearch4j.o libsearch4j.cpp"/>
+		</exec>
+
+	</target>
+
+	<target name="calculate-object-sizes">
+
 		<echo level="info">working out the size of the objects</echo>
-		<!-- jar -->
-		<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone2.jar.ls"><arg line="-l greenstone2.jar"/></exec>
+		<!-- jar(web) -->
+		<exec executable="ls" dir="wrapped-installer" outputproperty="greenstone2.jar.ls"><arg line="-l greenstone2.jar"/></exec>
 		<exec executable="sed" inputstring="${greenstone2.jar.ls}" outputproperty="greenstone2.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
 
+		<!-- jar(cdrom) -->
+		<exec executable="ls" dir="installer" outputproperty="cdrom.jar.ls"><arg line="-l cdrom.jar"/></exec>
+		<exec executable="sed" inputstring="${cdrom.jar.ls}" outputproperty="cdrom.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+
 		<!-- java -->
-		<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
+		<exec executable="ls" dir="wrapped-installer" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
 		<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+
+	</target>
+
+	<target name="compile-wrapper-web" depends="calculate-object-sizes">
 
 		<echo level="info">creating wrapper header file</echo>
 		<delete file="wrapper.h"/>
-		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone2jar[${greenstone2.jar.size}];"/></exec>
-		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
-		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
-
-		<echo level="info">compile libsearch4j</echo>
-		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-			<arg line="-Wall -static -static-libgcc -c -o libsearch4j.o libsearch4j.cpp"/>
-		</exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h"><arg line="extern const char greenstone2jar[${greenstone2.jar.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
 
 		<echo level="info">compile the wrapper program</echo>
-		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+		<exec executable="g++" dir="wrapped-installer">
 			<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
 		</exec>
 
 		<echo level="info">link the compiled code and bundled files</echo>
-		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-			<arg line="-static -static-libgcc -o ../../products/Greenstone-${version}-linux.bin wrapper.o libsearch4j.o greenstone2.jar.o java.o"/>
+		<exec executable="g++" dir="${basedir}/wrapped-installer">
+			<arg line="-static -static-libgcc -o ../products/Greenstone-${version}-linux.bin wrapper.o libsearch4j.o greenstone2.jar.o java.o"/>
+		</exec>
+
+	</target>
+
+	<target name="compile-wrapper-cdrom" depends="calculate-object-sizes">
+
+		<echo level="info">creating wrapper header file</echo>
+		<delete file="wrapper.h"/>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h"><arg line="extern const char greenstone2jar[${cdrom.jar.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
+
+		<echo level="info">compile the wrapper program</echo>
+		<exec executable="g++" dir="wrapped-installer">
+			<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
+		</exec>
+
+		<echo level="info">link the compiled code and bundled files</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer">
+			<arg line="-static -static-libgcc -o ../products/cdrom-linux.bin wrapper.o libsearch4j.o cdrom.jar.o java.o"/>
 		</exec>
 
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 19509)
+++ /release-kits/lirk2/installer/build.xml	(revision 19510)
@@ -49,6 +49,6 @@
 		<!-- start cdrom -->
 		<copy todir="${installDir}">
-			<fileset dir="${cd.dir}/Software/core/all"/>
-			<fileset dir="${cd.dir}/Software/core/linux"/>
+			<fileset dir="${orig.dir}/Software/core/all"/>
+			<fileset dir="${orig.dir}/Software/core/linux"/>
 		</copy>
 		<!-- end cdrom -->
@@ -107,4 +107,5 @@
 	<target name="Installing ImageMagick">
 		<echo>Installing ImageMagick</echo>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
 		<sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/>
@@ -112,56 +113,15 @@
 		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/linux"/>
 		<delete file="imagemagick.comp"/>
-		
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}/bin/linux">
+			<fileset dir="${orig.dir}/Software/imagemagick/linux"/>
+		</copy>
+		<!-- end cdrom -->
+
 		<echo>Setting ImageMagick Binaries to Executable</echo>
 		<chmod dir="${installDir}/bin/linux/imagemagick/bin" includes="*" perm="775"/>
 		
-	</target>
-
-	<!-- source release -->
-	<target name="Source Release">
-
-		<echo>Installing Source Release</echo>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
-		<sevenzip task="decode" input="${basedir}/source-release.lzma" output="${basedir}/source-release.comp"/>
-		<delete file="source-release.lzma"/>
-		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
-		<delete file="source-release.comp"/>
-
-		<echo>Setting Binaries to Executable</echo>
-		<chmod dir="${installDir}" includes="*.sh,*.bash,**/configure" perm="775"/>
-		<chmod dir="${installDir}/bin/linux" includes="*" perm="775"/>
-		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/cgi-bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/bin/script" includes="**/*" perm="775"/>
-		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
-		<echo/>
-
-		<echo>Filling in concrete values in config files</echo>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
-			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-			<job pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
-			<job pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
-		</rsr>
-		<echo/>
-
-		<echo>Set the installation locale in config files</echo>
-		<rsr file="${installDir}/setup.bash" pattern="^gsdllang=.*" replacement="gsdllang=${language}"/>
-		<rsr file="${installDir}/gli/gli.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
-		<rsr file="${installDir}/gli/gems.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
-
-		<rsr
-			file="${installDir}/gli/classes/xml/config.xml"
-			pattern="(&lt;Argument name=&quot;general.locale&quot;&gt;).*(&lt;/Argument&gt;)"
-			replacement="$1${language}$2"/>
-
-		<echo file="${installDir}/etc/main.cfg" append="true"
-			>cgiarg          shortname=l argdefault=${language}</echo>
-
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-
-		<echo>Creating installation properties file</echo>
-		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
-
 	</target>
 
Index: /release-kits/mark2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-installer.xml	(revision 19509)
+++ /release-kits/mark2/ant-scripts/create-installer.xml	(revision 19510)
@@ -6,5 +6,5 @@
 		<antcall target="make-installer-files-concrete"/>  <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
-		<antcall target="compile-minimal-installer"/> <!-- from init -->
+		<antcall target="compile-cdrom-installer"/> <!-- from init -->
 	</target>
 
Index: /release-kits/mark2/ant-scripts/wrap.xml
===================================================================
--- /release-kits/mark2/ant-scripts/wrap.xml	(revision 19509)
+++ /release-kits/mark2/ant-scripts/wrap.xml	(revision 19510)
@@ -3,17 +3,38 @@
 
 	<target name="wrap">
+
+		<!-- create products directory -->
+		<mkdir dir="products"/>
+
 		<!-- create and setup the build directory -->
 		<delete dir="${basedir}/wrapped-installer"/>
 		<mkdir dir="${basedir}/wrapped-installer"/>
-		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
-		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources" file="${mark2.home}/greenstone2/icon/icon.icns"/>
-		<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
-		<!-- copy bundled files -->
-		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
+		<!-- create app for main installer -->
+			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
+			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources" file="${mark2.home}/greenstone2/icon/icon.icns"/>
+			<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
-		<!-- substitute in real values -->
-		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
-		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+			<!-- copy bundled files -->
+			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
+
+			<!-- substitute in real values -->
+			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
+			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+
+
+		<!-- create app for cdrom installer -->
+			<copy todir="${basedir}/products/cdrom.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
+			<copy todir="${basedir}/products/cdrom.app/Contents/Resources" file="${mark2.home}/greenstone2/icon/icon.icns"/>
+			<chmod file="${basedir}/products/cdrom.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
+
+			<!-- copy bundled files -->
+			<copy todir="${basedir}/products/cdrom.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
+
+			<!-- substitute in real values -->
+			<rsr file="${basedir}/products/cdrom.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
+			<rsr file="${basedir}/products/cdrom.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+
+		<!-- wrap main app in a dmg -->
 
 		<!-- get size of app -->
@@ -25,6 +46,4 @@
 		<echo>dmg.size: ${dmg.size}</echo>
 
-		<!-- create products directory -->
-		<mkdir dir="products"/>
 
 		<!-- create disk image -->
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 19509)
+++ /release-kits/mark2/installer/build.xml	(revision 19510)
@@ -29,4 +29,5 @@
 
 		<echo>Installing Core Files</echo>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
 		<sevenzip task="decode" input="${basedir}/core.lzma" output="${basedir}/core.comp"/>
@@ -34,4 +35,12 @@
 		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
 		<delete file="core.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}">
+			<fileset dir="${orig.dir}/Software/core/all"/>
+			<fileset dir="${orig.dir}/Software/core/mac"/>
+		</copy>
+		<!-- end cdrom -->
 
 		<echo message="Setting Binaries to Executable"/>
@@ -80,4 +89,5 @@
 	<target name="Installing ImageMagick" depends="">
 		<echo message="Installing ImageMagick"/>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
 		<sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/>
@@ -85,4 +95,12 @@
 		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/darwin" />
 		<delete file="imagemagick.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}/bin/darwin">
+			<fileset dir="${orig.dir}/Software/imagemagick/mac"/>
+		</copy>
+		<!-- start cdrom -->
+
 		<chmod dir="${installDir}/bin/darwin/imagemagick/bin" includes="*" perm="775"/>
 	</target>
@@ -91,4 +109,5 @@
 	<target name="Installing Ghostscript" depends="">
 		<echo message="Installing Ghostscript"/>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
 		<sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/>
@@ -96,44 +115,14 @@
 		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/darwin" />
 		<delete file="ghostscript.comp"/>
-		<chmod dir="${installDir}/bin/darwin/ghostscript/bin" includes="*" perm="775"/>
-	</target>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}/bin/darwin">
+			<fileset dir="${orig.dir}/Software/ghostscript/mac"/>
+		</copy>
+		<!-- start cdrom -->
 
 
-	<target name="Source Release" depends="">
-
-		<!-- create the installation directory -->
-		<echo message="Creating Installation directory"/>
-		<mkdir dir="${installDir}"/>
-
-		<echo>Installing Source Release</echo>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
-		<sevenzip task="decode" input="${basedir}/source-release.lzma" output="${basedir}/source-release.comp"/>
-		<delete file="source-release.lzma"/>
-		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
-		<delete file="source-release.comp"/>
-
-		<echo message="Setting Binaries to Executable"/>
-		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
-		<chmod dir="${installDir}/bin/darwin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/cgi-bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/bin/script" includes="**/*" perm="775"/>
-		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
-		<echo/>
-
-		<echo message="Filling in concrete values in config files"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
-		<echo/>
-
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-
-		<echo>Creating installation properties file</echo>
-		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
-
-		<echo message="Finished"/>
-
+		<chmod dir="${installDir}/bin/darwin/ghostscript/bin" includes="*" perm="775"/>
 	</target>
 
Index: /release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/core/ant-scripts/init.xml	(revision 19509)
+++ /release-kits/shared/core/ant-scripts/init.xml	(revision 19510)
@@ -154,9 +154,13 @@
 		<copy file="${basedir}/installer/antinstall-config.xml" tofile="${basedir}/installer/antinstall-config-binary.xml"/>
 		<dcff file="${basedir}/installer/antinstall-config-binary.xml" startTag=".*&lt;!-- start source release --&gt;.*" endTag=".*&lt;!-- end source release --&gt;.*" />
+
+		<copy file="${basedir}/installer/build.xml" tofile="${basedir}/installer/build-binary.xml"/>
+		<dcff file="${basedir}/installer/build-binary.xml" startTag=".*&lt;!-- start cdrom --&gt;.*" endTag=".*&lt;!-- end cdrom --&gt;.*" />
+
 		<installer file="${basedir}/installer/Greenstone-${version}-${os.suffix}.jar"
 			compress="true"
 			extractType="NonExtractor"
 			installConfig="${basedir}/installer/antinstall-config-binary.xml"
-			buildFile="${basedir}/installer/build.xml"
+			buildFile="${basedir}/installer/build-binary.xml"
 			antInstallLib="${rk.home}/core/ant-installer/lib"
 			antLib="${rk.home}/core/ant/lib"
@@ -167,4 +171,26 @@
 			<zipfileset dir="${basedir}/components" includes="*.lzma" excludes="source-release.lzma" />
 
+		</installer>
+		
+	</target>
+
+	<target name="compile-cdrom-installer">
+
+		<copy file="${basedir}/installer/antinstall-config.xml" tofile="${basedir}/installer/antinstall-config-cdrom.xml"/>
+		<dcff file="${basedir}/installer/antinstall-config-cdrom.xml" startTag=".*&lt;!-- start source release --&gt;.*" endTag=".*&lt;!-- end source release --&gt;.*" />
+
+		<copy file="${basedir}/installer/build.xml" tofile="${basedir}/installer/build-cdrom.xml"/>
+		<dcff file="${basedir}/installer/build-cdrom.xml" startTag=".*&lt;!-- start web --&gt;.*" endTag=".*&lt;!-- end web --&gt;.*" />
+
+		<installer file="${basedir}/installer/cdrom.jar"
+			compress="true"
+			extractType="NonExtractor"
+			installConfig="${basedir}/installer/antinstall-config-cdrom.xml"
+			buildFile="${basedir}/installer/build-cdrom.xml"
+			antInstallLib="${rk.home}/core/ant-installer/lib"
+			antLib="${rk.home}/core/ant/lib"
+			validateConfig="true"
+			icons="bluecurve">
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
 		</installer>
 		
Index: /release-kits/shared/linux/wrapper.cpp
===================================================================
--- /release-kits/shared/linux/wrapper.cpp	(revision 19509)
+++ /release-kits/shared/linux/wrapper.cpp	(revision 19510)
@@ -12,4 +12,7 @@
 
 int main(int argc, char** argv) {
+
+	char owd[1024];
+	getcwd(owd, sizeof(owd));
 
 	string scratch = (getenv("TMPDIR") == NULL) ? "/tmp" : getenv("TMPDIR");
@@ -104,5 +107,5 @@
 		cout << "Launching Installer ..." << endl;
 		int launch_exit_code = 0;
-		launch_exit_code = system( (foundJvm.getExecutable() + " -Xmx85M -jar @installer.name@.jar" + (textMode?" text":"") ).c_str() );
+		launch_exit_code = system( (foundJvm.getExecutable() + " -Xmx85M \"-Dorig.dir=" + owd + "\" -jar @installer.name@.jar" + (textMode?" text":"") ).c_str() );
 
 		//report how it went
Index: /release-kits/wirk2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-installer.xml	(revision 19509)
+++ /release-kits/wirk2/ant-scripts/create-installer.xml	(revision 19510)
@@ -6,5 +6,5 @@
 		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
-		<antcall target="compile-minimal-installer"/> <!-- from init -->
+		<antcall target="compile-cdrom-installer"/> <!-- from init -->
 	</target>
 
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 19509)
+++ /release-kits/wirk2/installer/build.xml	(revision 19510)
@@ -57,10 +57,19 @@
 		<!-- install files -->
 		<echo message="Installing Core Component"/>
+
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
 		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x core.lzma"/></exec>
-		<!--<sevenzip task="decode" input="${basedir}/core.lzma" output="${basedir}/core.comp"/>-->
 		<delete file="core.lzma"/>
 		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
 		<delete file="core.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}">
+			<fileset dir="${orig.dir}/Software/core/all"/>
+			<fileset dir="${orig.dir}/Software/core/windows"/>
+		</copy>
+		<!-- end cdrom -->
 
 		<!-- jre -->
@@ -87,20 +96,36 @@
 	<target name="Installing ImageMagick">
 		<echo message="Installing ImageMagick"/>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
 		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec>
-		<!--<sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/>-->
 		<delete file="imagemagick.lzma"/>
 		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/windows"/>
 		<delete file="imagemagick.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}/bin/windows">
+			<fileset dir="${orig.dir}/Software/imagemagick/windows"/>
+		</copy>
+		<!-- end cdrom -->
+
 	</target>
 
 	<target name="Installing Ghostscript">
 		<echo message="Installing GhostScript"/>
+		<!-- start web -->
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
 		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec>
-		<!--<sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/>-->
 		<delete file="ghostscript.lzma"/>
 		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/windows"/>
 		<delete file="ghostscript.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}/bin/windows">
+			<fileset dir="${orig.dir}/Software/ghostscript/windows"/>
+		</copy>
+		<!-- end cdrom -->
+
 	</target>
 	