Index: gli/trunk/help/en/depositormetadatasettings.htm
===================================================================
--- gli/trunk/help/en/depositormetadatasettings.htm	(revision 19515)
+++ gli/trunk/help/en/depositormetadatasettings.htm	(revision 19517)
@@ -18,5 +18,5 @@
 <p>Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear beside each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropriate box type for each field.</p>
 
-<p>At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: "At least one metadata element should be selected.".</p>
+<p>At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: "At least one metadata element should be selected."</p>
 
 </body>
Index: gli/trunk/help/en/help.xml
===================================================================
--- gli/trunk/help/en/help.xml	(revision 19515)
+++ gli/trunk/help/en/help.xml	(revision 19517)
@@ -143,5 +143,5 @@
 <Text id="65c">Files can be renamed by right-clicking them and selecting <AutoText key="glidict::CollectionPopupMenu.Rename"/> from the list. Enter the new name at the prompt and click "OK".</Text>
 <Text id="65d">Files can be replaced in the collection by right-clicking the file to replace and choosing <AutoText key="glidict::CollectionPopupMenu.Replace"/>. A file browser will open up: navigate to the new document and click "Open". The new document will replace the old one in the collection, and any metadata will be transferred to it. This is particularly useful for replacing dummy documents by their real ones.</Text>
-<Text id="65e">Some file types are converted to HTML by third-party software during import, for example, Word, Excel, PDF etc. The HTML produced during import may not be very nice. These documents have a further right-click option: <AutoText key="glidict::Menu.Replace_SrcDoc_With_HTML"/>. Selecting this option will replace the original file in the collection with the HTML version, which can then be edited.</Text>
+<Text id="65e">Some file types are converted to HTML by third-party software during import, for example, Word, Excel, PDF etc. The HTML produced during import may not be very well formatted. These documents have a further right-click option: <AutoText key="glidict::Menu.Replace_SrcDoc_With_HTML"/>. Selecting this option will replace the original file in the collection with the HTML version, which can then be edited.</Text>
 </Section>
 <Section name="removingfiles">
@@ -267,5 +267,5 @@
 </Title>
 <Text id="122">This section describes how to configure the document plugins the collection uses.  It explains how you specify what plugins to use, what parameters to pass to them, and in what order they occur.  Under the "Design" tab, click "Document Plugins".</Text>
-<Text id="123">To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. Generally, you would only have one instance of each plugin. However, you can add the same plugin more than once. The process_exp argument will need to be set in order to make this useful.</Text>
+<Text id="123">To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. Generally, you would only have one instance of each plugin. However, you can add the same plugin more than once; in that case, the multiple instances would normally be configured differently to provide a useful result (for example by setting the process_exp argument, see http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/enhanced_pdf.htm ).</Text>
 <Text id="123aa">To see a short description of a plugin, select it in the "Select plugin to add" pull-down list, then hover the mouse over it. A tool-tip displaying the description will appear.</Text>
 <Text id="124">To remove a plugin, select it in the list and click "Remove Plugin".</Text>
@@ -298,5 +298,5 @@
 <Text id="sio-2">There are some additional options controlling how the indexes are built. These may not be available for a particular index, in which case will be greyed out.</Text>
 <Text id="sio-3">Stemming and case-folding may be enabled or disabled for MG and MGPP indexes. If enabled, stemmed and case-folded indexes will be created, and the user will have the option of searching with case folding and stemming on or off. If disabled, searching will be case-sensitive and unstemmed, and the options will not be displayed on the preferences page of the collection.</Text>
-<Text id="sio-4">Accent-folding is available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without. The Lucene index is accent-folded automatically, but no option to switch this on and off will be displayed to the user on the collection's preferences page.</Text>
+<Text id="sio-4">Accent-folding is available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without. A Lucene index is always accent-folded; no option to switch this on and off will be displayed to the user on the collection's preferences page.</Text>
 <Text id="sio-5">Chinese, Japanese and Korean text is often not segmented into individual words. As indexing relies on word breaks being present in the text, this results in an unsearchable index. Setting the <AutoText key="glidict::CDM.IndexingManager.Separate_cjk"/> option will add spaces between each Chinese/Japanese/Korean character in the text and in search terms, so that character level searching is carried out.</Text>
 </Section>
@@ -389,5 +389,5 @@
 <Text id="sched-1">Scheduling collection Builds</Text>
 </Title>
-<Text id="sched-2">Scheduled collection building is available in Expert mode. Some configuration needs to be done before this will work; see http://wiki.greenstone.org/wiki/index.php/Scheduled_Collection_Building_from_the_Librarian_Interface for details. The <AutoText key="glidict::CreatePane.Schedule"/> tab on the left-hand side of the Create pane shows a list of options controlling the scheduling process. The "schedule" option needs to be set for scheduling to be undertaken. The other options control the frequency of rebuild, whether this is a new schedule or an update of an existing one, and email details if you want email notifiation.</Text>
+<Text id="sched-2">Scheduled collection building is available in Expert mode. Some configuration needs to be done before this will work; see http://wiki.greenstone.org/wiki/index.php/Scheduled_Collection_Building_from_the_Librarian_Interface for details. The <AutoText key="glidict::CreatePane.Schedule"/> tab on the left-hand side of the Create view shows a list of options controlling the scheduling process. The "schedule" option needs to be set for scheduling to be undertaken. The other options specifiy: the frequency of rebuild; whether to add a new schedule, update an existing one or delete the current schedule; and email details if you want email notification.</Text>
 </Section>
 </Section>
@@ -464,5 +464,5 @@
 <Text id="dm-3">The Depositor Metadata panel shows a checklist of available metadata fields. If there is more than one metadata set associated with the collection, neighbouring metadata sets are displayed in different colours. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</Text>
 <Text id="dm-4">Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear beside each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropriate box type for each field.</Text>
-<Text id="dm-5">At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: <AutoText key="glidict::CDM.DepositorMetadataManager.Warning"/>.</Text>
+<Text id="dm-5">At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: <AutoText key="glidict::CDM.DepositorMetadataManager.Warning"/></Text>
 </Section>
 </Section>
Index: gli/trunk/help/en/plugins.htm
===================================================================
--- gli/trunk/help/en/plugins.htm	(revision 19515)
+++ gli/trunk/help/en/plugins.htm	(revision 19517)
@@ -14,5 +14,5 @@
 <p>This section describes how to configure the document plugins the collection uses.  It explains how you specify what plugins to use, what parameters to pass to them, and in what order they occur.  Under the "Design" tab, click "Document Plugins".</p>
 
-<p>To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. Generally, you would only have one instance of each plugin. However, you can add the same plugin more than once. The process_exp argument will need to be set in order to make this useful.</p>
+<p>To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. Generally, you would only have one instance of each plugin. However, you can add the same plugin more than once; in that case, the multiple instances would normally be configured differently to provide a useful result (for example by setting the process_exp argument, see http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/enhanced_pdf.htm ).</p>
 
 <p>To see a short description of a plugin, select it in the "Select plugin to add" pull-down list, then hover the mouse over it. A tool-tip displaying the description will appear.</p>
Index: gli/trunk/help/en/replacingfiles.htm
===================================================================
--- gli/trunk/help/en/replacingfiles.htm	(revision 19515)
+++ gli/trunk/help/en/replacingfiles.htm	(revision 19517)
@@ -16,5 +16,5 @@
 <p>Files can be replaced in the collection by right-clicking the file to replace and choosing "Replace". A file browser will open up: navigate to the new document and click "Open". The new document will replace the old one in the collection, and any metadata will be transferred to it. This is particularly useful for replacing dummy documents by their real ones.</p>
 
-<p>Some file types are converted to HTML by third-party software during import, for example, Word, Excel, PDF etc. The HTML produced during import may not be very nice. These documents have a further right-click option: "Replace with HTML version". Selecting this option will replace the original file in the collection with the HTML version, which can then be edited.</p>
+<p>Some file types are converted to HTML by third-party software during import, for example, Word, Excel, PDF etc. The HTML produced during import may not be very well formatted. These documents have a further right-click option: "Replace with HTML version". Selecting this option will replace the original file in the collection with the HTML version, which can then be edited.</p>
 
 </body>
Index: gli/trunk/help/en/scheduledbuilding.htm
===================================================================
--- gli/trunk/help/en/scheduledbuilding.htm	(revision 19515)
+++ gli/trunk/help/en/scheduledbuilding.htm	(revision 19517)
@@ -12,5 +12,5 @@
 
 
-<p>Scheduled collection building is available in Expert mode. Some configuration needs to be done before this will work; see http://wiki.greenstone.org/wiki/index.php/Scheduled_Collection_Building_from_the_Librarian_Interface for details. The "Schedule Options" tab on the left-hand side of the Create pane shows a list of options controlling the scheduling process. The "schedule" option needs to be set for scheduling to be undertaken. The other options control the frequency of rebuild, whether this is a new schedule or an update of an existing one, and email details if you want email notifiation.</p>
+<p>Scheduled collection building is available in Expert mode. Some configuration needs to be done before this will work; see http://wiki.greenstone.org/wiki/index.php/Scheduled_Collection_Building_from_the_Librarian_Interface for details. The "Schedule Options" tab on the left-hand side of the Create view shows a list of options controlling the scheduling process. The "schedule" option needs to be set for scheduling to be undertaken. The other options specifiy: the frequency of rebuild; whether to add a new schedule, update an existing one or delete the current schedule; and email details if you want email notification.</p>
 
 </body>
Index: gli/trunk/help/en/searchindexoptions.htm
===================================================================
--- gli/trunk/help/en/searchindexoptions.htm	(revision 19515)
+++ gli/trunk/help/en/searchindexoptions.htm	(revision 19517)
@@ -16,5 +16,5 @@
 <p>Stemming and case-folding may be enabled or disabled for MG and MGPP indexes. If enabled, stemmed and case-folded indexes will be created, and the user will have the option of searching with case folding and stemming on or off. If disabled, searching will be case-sensitive and unstemmed, and the options will not be displayed on the preferences page of the collection.</p>
 
-<p>Accent-folding is available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without. The Lucene index is accent-folded automatically, but no option to switch this on and off will be displayed to the user on the collection's preferences page.</p>
+<p>Accent-folding is available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without. A Lucene index is always accent-folded; no option to switch this on and off will be displayed to the user on the collection's preferences page.</p>
 
 <p>Chinese, Japanese and Korean text is often not segmented into individual words. As indexing relies on word breaks being present in the text, this results in an unsearchable index. Setting the "CJK Text Segmentation" option will add spaces between each Chinese/Japanese/Korean character in the text and in search terms, so that character level searching is carried out.</p>