Index: gli/trunk/metadata/ex.mds
===================================================================
--- gli/trunk/metadata/ex.mds	(revision 19534)
+++ gli/trunk/metadata/ex.mds	(revision 19542)
@@ -2,12 +2,38 @@
 <!DOCTYPE MetadataSet SYSTEM "http://www.greenstone.org/dtd/MetadataSet/1.0/MetadataSet.dtd">
 <MetadataSet contact="nzdl.org" creator="New Zealand Digital Libraries Project: Greenstone" family="Extracted Greenstone" lastchanged="Tue Sep 05 14:40:36 NZST 2006 - kjdon on kanuka" namespace="ex">
-	<SetLanguage code="en">
-    	<Name language="en">Extracted Greenstone Metadata 1.0</Name>
-    	<Description language="en">This document is the reference description, version 1.0 of the automatically extracted Greenstone Metadata Element Set.</Description>
+    <SetLanguage code="en">
+        <Name>Extracted Greenstone Metadata 1.1</Name>
+        <Description>This document is the reference description, version 1.1 of the automatically extracted Greenstone Metadata Element Set. Most of the possible extracted metadata elements have been added.</Description>
     </SetLanguage>
     <SetLanguage code="vi">
         <Name>Bá» siÃªu dá»¯ liá»u Greenstone</Name>
-        <Description>MÃŽ táº£ vá» bá» siÃªu dá»¯ liá»u Greenstone phiÃªn báº£n 1.0 cho yáº¿u tá» siÃªu dá»¯ liá»u Greenstone ÄÆ°á»£c triáº¿t rÃºt tá»± Äá»ng</Description>
+        <Description>MÃŽ táº£ vá» bá» siÃªu dá»¯ liá»u Greenstone phiÃªn báº£n 1.1 cho yáº¿u tá» siÃªu dá»¯ liá»u Greenstone ÄÆ°á»£c triáº¿t rÃºt tá»± Äá»ng</Description>
     </SetLanguage>
+    <SetLanguage code="ar">
+    	<Name language="ar">ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª Greenstone Ø§ÙÙ
+Ø³ØªØ®Ø±Ø¬Ø© 1.0</Name>
+    	<Description language="ar">ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª ÙØ±ÙÙØ³ØªÙÙ</Description>
+       </SetLanguage>
+
+    <Element name="Title">
+        <Language code="en">
+            <Attribute name="comment">Not always available.</Attribute>
+            <Attribute name="definition">The title of the imported document as extracted by Greenstone.</Attribute>
+            <Attribute name="label">Title</Attribute>
+        </Language>
+        <Language code="vi">
+            <Attribute name="label">Nhan Äá»</Attribute>
+            <Attribute name="definition">Nhan Äá» cá»§a tÃ i liá»u nháº­p kháº©u vÃ o Há» thá»ng vÃ  ÄÆ°á»£c Greenstone triáº¿t rÃºt tá»± Äá»ng</Attribute>
+            <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng sáºµn cÃ³</Attribute>
+        </Language>
+        <Language code="ar">
+             <Attribute name="label">Ø§ÙØ¹ÙÙØ§Ù</Attribute>
+             <Attribute name="definition">Ø§ÙØ¹ÙÙØ§Ù</Attribute>
+              <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
+    </Element>
     <Element name="Encoding">
         <Language code="en">
@@ -21,4 +47,12 @@
             <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng cÃ³ sáºµn</Attribute>
         </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙØªØŽÙÙØ±</Attribute>
+            <Attribute name="definition">Ø§ÙØªØŽÙÙØ±</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+    </Language>
+
     </Element>
     <Element name="Language">
@@ -33,9 +67,17 @@
             <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng cÃ³ sáºµn</Attribute>
         </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙÙØºØ©</Attribute>
+            <Attribute name="definition">Ø§ÙÙØºØ©</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
     </Element>
     <Element name="Source">
         <Language code="en">
-            <Attribute name="comment">Hidden in the Librarian Interface as it already shown by the various file trees.</Attribute>
-            <Attribute name="definition">The filename of the document imported by Greenstone.</Attribute>
+            <Attribute name="comment"/>
+            <Attribute name="definition">The filename of the document imported by Greenstone, suitable for display.</Attribute>
             <Attribute name="label">Source</Attribute>
         </Language>
@@ -45,15 +87,389 @@
             <Attribute name="comment">áºšn Äá»i vá»i GLI bá»i ÄÃ£ ÄÆ°á»£c hiá»n thá» trong cÃ¢y thÆ° má»¥c</Attribute>
         </Language>
-    </Element>
-    <Element name="Title">
-        <Language code="en">
-            <Attribute name="comment">Not always available.</Attribute>
-            <Attribute name="definition">The title of the imported document as extracted by Greenstone.</Attribute>
-            <Attribute name="label">Title</Attribute>
-        </Language>
-        <Language code="vi">
-            <Attribute name="label">Nhan Äá»</Attribute>
-            <Attribute name="definition">Nhan Äá» cá»§a tÃ i liá»u nháº­p kháº©u vÃ o Há» thá»ng vÃ  ÄÆ°á»£c Greenstone triáº¿t rÃºt tá»± Äá»ng</Attribute>
-            <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng sáºµn cÃ³</Attribute>
+        <Language code="ar">
+            <Attribute name="label">Ø§Ø³Ù
+Ø§Ø¡ Ø§ÙÙ
+ÙÙØ§Øª</Attribute>
+            <Attribute name="definition"></Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
+    </Element>
+    <Element name="SourceFile">
+        <Language code="en">
+            <Attribute name="label">SourceFile</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FileSize">
+        <Language code="en">
+            <Attribute name="label">FileSize</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FileFormat">
+        <Language code="en">
+            <Attribute name="label">FileFormat</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="MimeType">
+        <Language code="en">
+            <Attribute name="label">MimeType</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Identifier">
+        <Language code="en">
+            <Attribute name="label">Identifier</Attribute>
+            <Attribute name="definition">ff</Attribute>
+            <Attribute name="comment">dd</Attribute>
+        </Language>
+        <Language code="ab">
+            <Attribute name="label"/>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Plugin">
+        <Language code="en">
+            <Attribute name="label">Plugin</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="URL">
+        <Language code="en">
+            <Attribute name="label">URL</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="assocfilepath">
+        <Language code="en">
+            <Attribute name="label">assocfilepath</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="lastmodified">
+        <Language code="en">
+            <Attribute name="label">lastmodified</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="hascover">
+        <Language code="en">
+            <Attribute name="label">hascover</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="NoText">
+        <Language code="en">
+            <Attribute name="label">NoText</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Date">
+        <Language code="en">
+            <Attribute name="label">Date</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Image">
+        <Language code="en">
+            <Attribute name="label">Image</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageType">
+        <Language code="en">
+            <Attribute name="label">ImageType</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageSize">
+        <Language code="en">
+            <Attribute name="label">ImageSize</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageHeight">
+        <Language code="en">
+            <Attribute name="label">ImageHeight</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageWidth">
+        <Language code="en">
+            <Attribute name="label">ImageWidth</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Thumb">
+        <Language code="en">
+            <Attribute name="label">Thumb</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbType">
+        <Language code="en">
+            <Attribute name="label">ThumbType</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbWidth">
+        <Language code="en">
+            <Attribute name="label">ThumbWidth</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbHeight">
+        <Language code="en">
+            <Attribute name="label">ThumbHeight</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Screen">
+        <Language code="en">
+            <Attribute name="label">Screen</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenType">
+        <Language code="en">
+            <Attribute name="label">ScreenType</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenWidth">
+        <Language code="en">
+            <Attribute name="label">ScreenWidth</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenHeight">
+        <Language code="en">
+            <Attribute name="label">ScreenHeight</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="SourceSegment">
+        <Language code="en">
+            <Attribute name="label">SourceSegment</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="NumPages">
+        <Language code="en">
+            <Attribute name="label">NumPages</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="HTMLDisplay">
+        <Language code="en">
+            <Attribute name="label">HTMLDisplay</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="RecordNumber">
+        <Language code="en">
+            <Attribute name="label">RecordNumber</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Workform">
+        <Language code="en">
+            <Attribute name="label">Workform</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Pages">
+        <Language code="en">
+            <Attribute name="label">Pages</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="PageNum">
+        <Language code="en">
+            <Attribute name="label">PageNum</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="GENERATOR">
+        <Language code="en">
+            <Attribute name="label">GENERATOR</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ISISRawRecord">
+        <Language code="en">
+            <Attribute name="label">ISISRawRecord</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Creator">
+        <Language code="en">
+            <Attribute name="label">Creator</Attribute>
+            <Attribute name="definition">from latex, refer plugins</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Author">
+        <Language code="en">
+            <Attribute name="label">Author</Attribute>
+            <Attribute name="definition">from latex, bibtex, refer plugins</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Placename">
+        <Language code="en">
+            <Attribute name="label">Placename</Attribute>
+            <Attribute name="definition">from gis plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Headers">
+        <Language code="en">
+            <Attribute name="label">Headers</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="InReplyTo">
+        <Language code="en">
+            <Attribute name="label">InReplyTo</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FromName">
+        <Language code="en">
+            <Attribute name="label">FromName</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FromAddr">
+        <Language code="en">
+            <Attribute name="label">FromAddr</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="EmailAddress">
+        <Language code="en">
+            <Attribute name="label">EmailAddress</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="EntryType">
+        <Language code="en">
+            <Attribute name="label">EntryType</Attribute>
+            <Attribute name="definition">from bibtex plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyword">
+        <Language code="en">
+            <Attribute name="label">Keyword</Attribute>
+            <Attribute name="definition">from bibtex, refer plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="BookConfOnly">
+        <Language code="en">
+            <Attribute name="label">BookConfOnly</Attribute>
+            <Attribute name="definition">from bibtex, refer plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="JournalsOnly">
+        <Language code="en">
+            <Attribute name="label">JournalsOnly</Attribute>
+            <Attribute name="definition">from bibtex, refer plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="equivlink">
+        <Language code="en">
+            <Attribute name="label">equivlink</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Acronym">
+        <Language code="en">
+            <Attribute name="label">Acronym</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="mp3applet">
+        <Language code="en">
+            <Attribute name="label">mp3applet</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="giquery">
+        <Language code="en">
+            <Attribute name="label">giquery</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="srcurl">
+        <Language code="en">
+            <Attribute name="label">srcurl</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyphrase">
+        <Language code="en">
+            <Attribute name="label">Keyphrase</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyphrases">
+        <Language code="en">
+            <Attribute name="label">Keyphrases</Attribute>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
         </Language>
     </Element>